1. Modèle
Conexteo API - Documentation SMS & RCS
EN
  • FR
  • EN
  • Getting started
  • Utilisateur
    • Credits
      GET
  • Messages
    • Réponses
      • Replies - paginated
      • Replies - full extract
    • RCS
      • Send RCS
    • SMS
      • Manual send
      • Dynamic send
      • Send to contact lists
      • File send
    • Messages history
      GET
    • Message details
      GET
    • Cancel a message
      PUT
    • SMS recipients of a message
      GET
    • SMS recipients of a message
      GET
    • RCS recipients of a message
      GET
  • Stops
    • Stops list
      GET
    • Add a STOP manually
      POST
    • Add STOPs via file upload
      POST
    • Delete a STOP
      DELETE
  • Listes de contacts
    • Create a contact list
      POST
    • List contact lists
      GET
    • Update a contact list
      PUT
    • Contact list details
      GET
    • Delete a contact list
      DELETE
    • Contacts of a contact list - paginated
      GET
    • Contacts of a contact list - full extract
      GET
  • Contacts
    • Add one or more contacts
    • Add contacts via file upload
    • Update a contact
    • Contact details
    • Delete a contact
  • auth
    • Authentication (email / password)
  • Modèle
    • Create a template
      POST
    • List templates
      GET
    • Update a template
      PUT
    • Template details
      GET
    • Delete
      DELETE
    • Create an RCS template
      POST
    • List RCS templates
      GET
    • Update an RCS template
      PUT
    • RCS template details
      GET
  • Sous-Comptes
    • Create a sub-account
    • List sub-accounts
    • List sub-accounts - paginated
    • Sub-account details
    • SubaccountController_getUserInfo
    • Add credits to a sub-account
    • Remove credits from a sub-account
    • Change credits consumption mode
    • List a sub-account's credits
  • Schemas
    • CreditsRo
    • Messages_type
    • Messages
    • Reponses
    • paginationMeta
    • RepliesHistoryRo
    • MessagesHistoryRo
    • SmsStatus
    • RcsStatus
    • CreateMessageStatusTypeRCS
    • SmsResume
    • RcsResume
    • StatusResumeBeforeRCS
    • CallChoiceDto
    • TextChoiceDto
    • UrlChoiceDto
    • LocationChoiceDto
    • RcsCardDto
    • RcsCarouselDto
    • RcsTextDto
    • shortUrlDto
    • FallBack
    • RcsDtoBaseConfig
    • RcsDto
    • CreateMessageStatusType
    • statusResumeBefore
    • MessagesSimpleDto
    • MessagesDynamicDto
    • MessagesContactListDto
    • MessagesFileUploadDto
    • Messages_sms
    • MessagesDestinatairesRo
    • Messages_rcs
    • MessagesDestinatairesRcsRo
    • Stops
    • StopsListRo
    • StopsDto
    • StopsFileUploadDto
    • ContactlistsDto
    • Contactlists
    • ContactlistsRemovedRO
    • ContactsWithId
    • ContactlistsContactsRo
    • Contacts
    • ContactsInsertDto
    • ContactsAddedRo
    • ContactsInsertByFileDto
    • ContactRemovedRO
    • LoginUserDto
    • LoginResponseDto
    • ModelsDto
    • Models
    • RcsCarousel
    • RcsShorturl
    • RcsConfig
    • SubAccountCreateDto
    • subAccountWithCredentials
    • subAccount
    • SubAccountListRo
    • SubAccountCredits
    • SubAccountChangeModeCredits
  1. Modèle

Create an RCS template

POST
/models/rcs

Request

Authorization
or
or
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
OK
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.conexteo.com/models/rcs' \
--header 'Content-Type: application/json' \
--data-raw '{
    "shorturl": {
        "mode": "unique",
        "url": "https://www.google.com/"
    },
    "fallback": {
        "content": "Hello World",
        "sender": "SENDER"
    },
    "name": "Your RCS campaign name",
    "type": "card",
    "data": {
        "title": "string",
        "description": "string",
        "media_message_url": "https://app.conexteo.com/assets/images/logo_cercle_600x600.png",
        "choices": [
            {
                "type": "text",
                "text": "Hello, how are you?"
            },
            {
                "type": "location",
                "title": "See location",
                "label": "My office",
                "latitude": 48.8566,
                "longitude": 2.3522
            }
        ]
    }
}'
Response Response Example
{
    "id": 0,
    "name": "string",
    "rcs_type": "card",
    "text": "string",
    "fallback_content": "string",
    "fallback_sender": "string",
    "carousel": {
        "id": 0
    },
    "shorturl": {
        "id": 0
    },
    "isModel": true
}
Modified at 2026-04-24 09:55:35
Previous
Delete
Next
List RCS templates
Built with